%global git_tag b33919c285102fb0fdbad8a148c80cd9239aa7f5
%global git_short_tag %(c=%{git_tag}; echo ${c:0:7})
Name:           eclipse-e4-importer
Version:        0.2.0
Release:        0.2.git%{git_short_tag}%{?dist}
Summary:        Eclipse Importer plug-in
License:        EPL
URL:            https://www.eclipse.org/e4/

Source0:       http://git.eclipse.org/c/e4/org.eclipse.e4.ui.git/snapshot/org.eclipse.e4.ui-%{git_tag}.tar.xz

BuildArch:      noarch

BuildRequires: tycho
BuildRequires: tycho-extras
BuildRequires: eclipse-pde >= 1:4.6.0-0.6
BuildRequires: eclipse-license

Requires:         jsch
Requires:         eclipse-platform >= 1:4.6.0-0.6

%description
This plugin provides UI entries to enable an alternative import mechanism.

%prep
%setup -q -n org.eclipse.e4.ui-%{git_tag}

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

# Disable features we don't want to ship
%pom_disable_module bundles/org.eclipse.e4.ui.keys.common
%pom_disable_module features/org.eclipse.e4.ui.keys.feature
%pom_disable_module build/org.eclipse.e4.ui.update
%pom_disable_module bundles/org.eclipse.e4.ui.macros
%pom_disable_module bundles/org.eclipse.e4.ui.macros.jdt
%pom_disable_module bundles/org.eclipse.e4.ui.naturist
%pom_disable_module bundles/org.eclipse.e4.jdt.scope
%pom_disable_module tests/org.eclipse.e4.naturist.tests
%pom_disable_module tests/org.eclipse.e4.jdt.scope.tests
%pom_disable_module tests/org.eclipse.e4.ui.importer.tests

# The extension points provided by this bundle were moved into the platform for Neon
%pom_disable_module bundles/org.eclipse.e4.ui.importer

%pom_add_plugin org.eclipse.tycho:tycho-maven-plugin pom.xml "<extensions>true</extensions>"
%pom_remove_parent pom.xml

%build
%mvn_build -j -- -DforceContextQualifier=$(date -u +v%Y%m%d-1000)

%install
%mvn_install

%files -f .mfiles
%doc features/org.eclipse.license/epl-v10.html

%changelog
* Thu May 12 2016 Mat Booth <mat.booth@redhat.com> - 0.2.0-0.2.gitb33919c
- Update to latest snapshot due to further changes in Eclipse Neon API.

* Sat Apr 30 2016 Mat Booth <mat.booth@redhat.com> - 0.2.0-0.1.git8af671a
- Update to snapshot that supports/requires Neon
- Fix qualifier format to match what upstream does

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-0.6.gite4610b6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 29 2015 Sopot Cela <scela@redhat.com> - 0.1.0-0.5.gite4610b6
- Upgrade for Mars.1 release

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.1.0-0.4.git5ac5197
- Rebuild as an Eclipse p2 Droplet.

* Thu Jun 18 2015 Sopot Cela <scela@redhat.com>
- 0.1.0-0.3.git5ac5197
- New sources replace .qualifier with -SNAPSHOT in poms

* Tue Jun 2 2015 Sopot Cela <scela@redhat.com>
- 0.1.0-0.2.gitc0957a7
- Made the description shorter

* Tue Jun 2 2015 Sopot Cela <scela@redhat.com>
- 0.1.0-0.1.gitc0957a7
- Initial packaging
